# sha1.h File Reference

`#include <limits.h>`

Include dependency graph for sha1.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | sha1_ctx

## Defines

#define | SHA1_BLOCK_SIZE 64
#define | SHA1_DIGEST_SIZE 20

## Functions

void | sha1_compile (sha1_ctx ctx[1])
void | sha1_begin (sha1_ctx ctx[1])
void | sha1_hash (const unsigned char data[], unsigned long len, sha1_ctx ctx[1])
void | sha1_end (unsigned char hval[], sha1_ctx ctx[1])
void | sha1 (unsigned char hval[], const unsigned char data[], unsigned long len)

## Define Documentation

#define SHA1_BLOCK_SIZE 64

#define SHA1_DIGEST_SIZE 20

## Function Documentation

void sha1 | ( | unsigned char | hval[],
|  | const unsigned char | data[],
|  | unsigned long | len
| ) |

void sha1_begin | ( | sha1_ctx | ctx[1] | ) |

void sha1_compile | ( | sha1_ctx | ctx[1] | ) |

void sha1_end | ( | unsigned char | hval[],
|  | sha1_ctx | ctx[1]
| ) |

void sha1_hash | ( | const unsigned char | data[],
|  | unsigned long | len,
|  | sha1_ctx | ctx[1]
| ) |